<!DOCTYPE html PUBLIC "-//W3C//DTD XHTML 1.0 Transitional//EN" "http://www.w3.org/TR/xhtml1/DTD/xhtml1-transitional.dtd">
<html xmlns="http://www.w3.org/1999/xhtml">
<head>
<meta http-equiv="Content-Type" content="text/xhtml;charset=UTF-8"/>
<meta http-equiv="X-UA-Compatible" content="IE=9"/>
<meta name="generator" content="Doxygen 1.8.15"/>
<meta name="viewport" content="width=device-width, initial-scale=1"/>
<title>AlexaClientSDK: alexaClientSDK::avsCommon::avs::test::TestDirectiveHandler Class Reference</title>
<link href="tabs.css" rel="stylesheet" type="text/css"/>
<script type="text/javascript" src="jquery.js"></script>
<script type="text/javascript" src="dynsections.js"></script>
<link href="search/search.css" rel="stylesheet" type="text/css"/>
<script type="text/javascript" src="search/searchdata.js"></script>
<script type="text/javascript" src="search/search.js"></script>
<link href="doxygen.css" rel="stylesheet" type="text/css" />
</head>
<body>
<div id="top"><!-- do not remove this div, it is closed by doxygen! -->
<div id="titlearea">
<table cellspacing="0" cellpadding="0">
 <tbody>
 <tr style="height: 56px;">
  <td id="projectlogo"><img alt="Logo" src="avs-logo.png"/></td>
  <td id="projectalign" style="padding-left: 0.5em;">
   <div id="projectname">AlexaClientSDK
   &#160;<span id="projectnumber">1.13.0</span>
   </div>
   <div id="projectbrief">A cross-platform, modular SDK for interacting with the Alexa Voice Service</div>
  </td>
 </tr>
 </tbody>
</table>
</div>
<!-- end header part -->
<!-- Generated by Doxygen 1.8.15 -->
<script type="text/javascript">
/* @license magnet:?xt=urn:btih:cf05388f2679ee054f2beb29a391d25f4e673ac3&amp;dn=gpl-2.0.txt GPL-v2 */
var searchBox = new SearchBox("searchBox", "search",false,'Search');
/* @license-end */
</script>
<script type="text/javascript" src="menudata.js"></script>
<script type="text/javascript" src="menu.js"></script>
<script type="text/javascript">
/* @license magnet:?xt=urn:btih:cf05388f2679ee054f2beb29a391d25f4e673ac3&amp;dn=gpl-2.0.txt GPL-v2 */
$(function() {
  initMenu('',true,false,'search.php','Search');
  $(document).ready(function() { init_search(); });
});
/* @license-end */</script>
<div id="main-nav"></div>
<!-- window showing the filter options -->
<div id="MSearchSelectWindow"
     onmouseover="return searchBox.OnSearchSelectShow()"
     onmouseout="return searchBox.OnSearchSelectHide()"
     onkeydown="return searchBox.OnSearchSelectKey(event)">
</div>

<!-- iframe showing the search results (closed by default) -->
<div id="MSearchResultsWindow">
<iframe src="javascript:void(0)" frameborder="0" 
        name="MSearchResults" id="MSearchResults">
</iframe>
</div>

<div id="nav-path" class="navpath">
  <ul>
<li class="navelem"><a class="el" href="namespacealexa_client_s_d_k.html">alexaClientSDK</a></li><li class="navelem"><a class="el" href="namespacealexa_client_s_d_k_1_1avs_common.html">avsCommon</a></li><li class="navelem"><a class="el" href="namespacealexa_client_s_d_k_1_1avs_common_1_1avs.html">avs</a></li><li class="navelem"><a class="el" href="namespacealexa_client_s_d_k_1_1avs_common_1_1avs_1_1test.html">test</a></li><li class="navelem"><a class="el" href="classalexa_client_s_d_k_1_1avs_common_1_1avs_1_1test_1_1_test_directive_handler.html">TestDirectiveHandler</a></li>  </ul>
</div>
</div><!-- top -->
<div class="header">
  <div class="summary">
<a href="#pub-methods">Public Member Functions</a> &#124;
<a href="classalexa_client_s_d_k_1_1avs_common_1_1avs_1_1test_1_1_test_directive_handler-members.html">List of all members</a>  </div>
  <div class="headertitle">
<div class="title">alexaClientSDK::avsCommon::avs::test::TestDirectiveHandler Class Reference</div>  </div>
</div><!--header-->
<div class="contents">

<p>Minimal DirectiveHandlerInterface implementation so we can generate instance pointers.  
 <a href="classalexa_client_s_d_k_1_1avs_common_1_1avs_1_1test_1_1_test_directive_handler.html#details">More...</a></p>
<div class="dynheader">
Inheritance diagram for alexaClientSDK::avsCommon::avs::test::TestDirectiveHandler:</div>
<div class="dyncontent">
<div class="center"><img src="classalexa_client_s_d_k_1_1avs_common_1_1avs_1_1test_1_1_test_directive_handler__inherit__graph.png" border="0" usemap="#alexa_client_s_d_k_1_1avs_common_1_1avs_1_1test_1_1_test_directive_handler_inherit__map" alt="Inheritance graph"/></div>
<map name="alexa_client_s_d_k_1_1avs_common_1_1avs_1_1test_1_1_test_directive_handler_inherit__map" id="alexa_client_s_d_k_1_1avs_common_1_1avs_1_1test_1_1_test_directive_handler_inherit__map">
<area shape="rect" id="node2" href="classalexa_client_s_d_k_1_1avs_common_1_1sdk_interfaces_1_1_directive_handler_interface.html" title="alexaClientSDK::avsCommon\l::sdkInterfaces::DirectiveHandler\lInterface" alt="" coords="5,5,219,57"/>
</map>
<center><span class="legend">[<a href="graph_legend.html">legend</a>]</span></center></div>
<div class="dynheader">
Collaboration diagram for alexaClientSDK::avsCommon::avs::test::TestDirectiveHandler:</div>
<div class="dyncontent">
<div class="center"><img src="classalexa_client_s_d_k_1_1avs_common_1_1avs_1_1test_1_1_test_directive_handler__coll__graph.png" border="0" usemap="#alexa_client_s_d_k_1_1avs_common_1_1avs_1_1test_1_1_test_directive_handler_coll__map" alt="Collaboration graph"/></div>
<map name="alexa_client_s_d_k_1_1avs_common_1_1avs_1_1test_1_1_test_directive_handler_coll__map" id="alexa_client_s_d_k_1_1avs_common_1_1avs_1_1test_1_1_test_directive_handler_coll__map">
<area shape="rect" id="node2" href="classalexa_client_s_d_k_1_1avs_common_1_1sdk_interfaces_1_1_directive_handler_interface.html" title="alexaClientSDK::avsCommon\l::sdkInterfaces::DirectiveHandler\lInterface" alt="" coords="5,5,219,57"/>
</map>
<center><span class="legend">[<a href="graph_legend.html">legend</a>]</span></center></div>
<table class="memberdecls">
<tr class="heading"><td colspan="2"><h2 class="groupheader"><a name="pub-methods"></a>
Public Member Functions</h2></td></tr>
<tr class="memitem:a08af21aff7b81c0b7ac03ca6a32aba27"><td class="memItemLeft" align="right" valign="top">void&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classalexa_client_s_d_k_1_1avs_common_1_1avs_1_1test_1_1_test_directive_handler.html#a08af21aff7b81c0b7ac03ca6a32aba27">handleDirectiveImmediately</a> (std::shared_ptr&lt; <a class="el" href="classalexa_client_s_d_k_1_1avs_common_1_1avs_1_1_a_v_s_directive.html">AVSDirective</a> &gt;) override</td></tr>
<tr class="separator:a08af21aff7b81c0b7ac03ca6a32aba27"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a8a359dc383150e53d14373c20ad168f0"><td class="memItemLeft" align="right" valign="top">void&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classalexa_client_s_d_k_1_1avs_common_1_1avs_1_1test_1_1_test_directive_handler.html#a8a359dc383150e53d14373c20ad168f0">preHandleDirective</a> (std::shared_ptr&lt; <a class="el" href="classalexa_client_s_d_k_1_1avs_common_1_1avs_1_1_a_v_s_directive.html">AVSDirective</a> &gt;, std::unique_ptr&lt; <a class="el" href="classalexa_client_s_d_k_1_1avs_common_1_1sdk_interfaces_1_1_directive_handler_result_interface.html">sdkInterfaces::DirectiveHandlerResultInterface</a> &gt;) override</td></tr>
<tr class="separator:a8a359dc383150e53d14373c20ad168f0"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:aae40f8853a64f29c0f9ed3af96de3691"><td class="memItemLeft" align="right" valign="top">bool&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classalexa_client_s_d_k_1_1avs_common_1_1avs_1_1test_1_1_test_directive_handler.html#aae40f8853a64f29c0f9ed3af96de3691">handleDirective</a> (const std::string &amp;) override</td></tr>
<tr class="separator:aae40f8853a64f29c0f9ed3af96de3691"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:aaee66095b476f1d139eafd6514240324"><td class="memItemLeft" align="right" valign="top">void&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classalexa_client_s_d_k_1_1avs_common_1_1avs_1_1test_1_1_test_directive_handler.html#aaee66095b476f1d139eafd6514240324">cancelDirective</a> (const std::string &amp;) override</td></tr>
<tr class="separator:aaee66095b476f1d139eafd6514240324"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:afc6425cf4990e97305d89d83928bfe3b"><td class="memItemLeft" align="right" valign="top">void&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classalexa_client_s_d_k_1_1avs_common_1_1avs_1_1test_1_1_test_directive_handler.html#afc6425cf4990e97305d89d83928bfe3b">onDeregistered</a> () override</td></tr>
<tr class="separator:afc6425cf4990e97305d89d83928bfe3b"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:ad053a0352135ed7d101c6b81dfd968c5"><td class="memItemLeft" align="right" valign="top"><a class="el" href="namespacealexa_client_s_d_k_1_1avs_common_1_1avs.html#a2c1f3500cf37d70ffd6c1067f9c7f921">avs::DirectiveHandlerConfiguration</a>&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classalexa_client_s_d_k_1_1avs_common_1_1avs_1_1test_1_1_test_directive_handler.html#ad053a0352135ed7d101c6b81dfd968c5">getConfiguration</a> () const override</td></tr>
<tr class="separator:ad053a0352135ed7d101c6b81dfd968c5"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="inherit_header pub_methods_classalexa_client_s_d_k_1_1avs_common_1_1sdk_interfaces_1_1_directive_handler_interface"><td colspan="2" onclick="javascript:toggleInherit('pub_methods_classalexa_client_s_d_k_1_1avs_common_1_1sdk_interfaces_1_1_directive_handler_interface')"><img src="closed.png" alt="-"/>&#160;Public Member Functions inherited from <a class="el" href="classalexa_client_s_d_k_1_1avs_common_1_1sdk_interfaces_1_1_directive_handler_interface.html">alexaClientSDK::avsCommon::sdkInterfaces::DirectiveHandlerInterface</a></td></tr>
<tr class="memitem:a0aa03b6867e8b6e44b8c1b8df93c2d5c inherit pub_methods_classalexa_client_s_d_k_1_1avs_common_1_1sdk_interfaces_1_1_directive_handler_interface"><td class="memItemLeft" align="right" valign="top">virtual&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classalexa_client_s_d_k_1_1avs_common_1_1sdk_interfaces_1_1_directive_handler_interface.html#a0aa03b6867e8b6e44b8c1b8df93c2d5c">~DirectiveHandlerInterface</a> ()=default</td></tr>
<tr class="separator:a0aa03b6867e8b6e44b8c1b8df93c2d5c inherit pub_methods_classalexa_client_s_d_k_1_1avs_common_1_1sdk_interfaces_1_1_directive_handler_interface"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a517f1f6ceeba26da9dd071b9ad3dc390 inherit pub_methods_classalexa_client_s_d_k_1_1avs_common_1_1sdk_interfaces_1_1_directive_handler_interface"><td class="memItemLeft" align="right" valign="top">virtual void&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classalexa_client_s_d_k_1_1avs_common_1_1sdk_interfaces_1_1_directive_handler_interface.html#a517f1f6ceeba26da9dd071b9ad3dc390">handleDirectiveImmediately</a> (std::shared_ptr&lt; <a class="el" href="classalexa_client_s_d_k_1_1avs_common_1_1avs_1_1_a_v_s_directive.html">avsCommon::avs::AVSDirective</a> &gt; directive)=0</td></tr>
<tr class="separator:a517f1f6ceeba26da9dd071b9ad3dc390 inherit pub_methods_classalexa_client_s_d_k_1_1avs_common_1_1sdk_interfaces_1_1_directive_handler_interface"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a9bfec681151c104a12274fde87ff507d inherit pub_methods_classalexa_client_s_d_k_1_1avs_common_1_1sdk_interfaces_1_1_directive_handler_interface"><td class="memItemLeft" align="right" valign="top">virtual void&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classalexa_client_s_d_k_1_1avs_common_1_1sdk_interfaces_1_1_directive_handler_interface.html#a9bfec681151c104a12274fde87ff507d">preHandleDirective</a> (std::shared_ptr&lt; <a class="el" href="classalexa_client_s_d_k_1_1avs_common_1_1avs_1_1_a_v_s_directive.html">avsCommon::avs::AVSDirective</a> &gt; directive, std::unique_ptr&lt; <a class="el" href="classalexa_client_s_d_k_1_1avs_common_1_1sdk_interfaces_1_1_directive_handler_result_interface.html">DirectiveHandlerResultInterface</a> &gt; result)=0</td></tr>
<tr class="separator:a9bfec681151c104a12274fde87ff507d inherit pub_methods_classalexa_client_s_d_k_1_1avs_common_1_1sdk_interfaces_1_1_directive_handler_interface"><td class="memSeparator" colspan="2">&#160;</td></tr>
</table>
<a name="details" id="details"></a><h2 class="groupheader">Detailed Description</h2>
<div class="textblock"><p class="">Minimal DirectiveHandlerInterface implementation so we can generate instance pointers. </p>
</div><h2 class="groupheader">Member Function Documentation</h2>
<a id="aaee66095b476f1d139eafd6514240324"></a>
<h2 class="memtitle"><span class="permalink"><a href="#aaee66095b476f1d139eafd6514240324">&#9670;&nbsp;</a></span>cancelDirective()</h2>

<div class="memitem">
<div class="memproto">
<table class="mlabels">
  <tr>
  <td class="mlabels-left">
      <table class="memname">
        <tr>
          <td class="memname">void alexaClientSDK::avsCommon::avs::test::TestDirectiveHandler::cancelDirective </td>
          <td>(</td>
          <td class="paramtype">const std::string &amp;&#160;</td>
          <td class="paramname"><em>messageId</em></td><td>)</td>
          <td></td>
        </tr>
      </table>
  </td>
  <td class="mlabels-right">
<span class="mlabels"><span class="mlabel">inline</span><span class="mlabel">override</span><span class="mlabel">virtual</span></span>  </td>
  </tr>
</table>
</div><div class="memdoc">
<p class="">Cancel an ongoing <code><a class="el" href="classalexa_client_s_d_k_1_1avs_common_1_1avs_1_1test_1_1_test_directive_handler.html#a8a359dc383150e53d14373c20ad168f0">preHandleDirective()</a></code> or <code><a class="el" href="classalexa_client_s_d_k_1_1avs_common_1_1avs_1_1test_1_1_test_directive_handler.html#aae40f8853a64f29c0f9ed3af96de3691">handleDirective()</a></code> operation for the specified <code><a class="el" href="classalexa_client_s_d_k_1_1avs_common_1_1avs_1_1_a_v_s_directive.html">AVSDirective</a></code>. Once this has been called the <code>DirectiveHandler</code> should not expect to receive further calls regarding this directive.</p>
<dl class="section note"><dt>Note</dt><dd>The implementation of this method MUST be thread-safe. </dd>
<dd>
The implementation of this method MUST return quickly. Failure to do so blocks the processing of subsequent <code>AVSDirectives</code>.</dd></dl>
<dl class="params"><dt>Parameters</dt><dd>
  <table class="params">
    <tr><td class="paramname">messageId</td><td>The message ID of a directive previously passed to <a class="el" href="classalexa_client_s_d_k_1_1avs_common_1_1avs_1_1test_1_1_test_directive_handler.html#a8a359dc383150e53d14373c20ad168f0">preHandleDirective()</a>. </td></tr>
  </table>
  </dd>
</dl>

<p>Implements <a class="el" href="classalexa_client_s_d_k_1_1avs_common_1_1sdk_interfaces_1_1_directive_handler_interface.html#a7b70eacac868a59404cd2cbde1489f31">alexaClientSDK::avsCommon::sdkInterfaces::DirectiveHandlerInterface</a>.</p>

</div>
</div>
<a id="ad053a0352135ed7d101c6b81dfd968c5"></a>
<h2 class="memtitle"><span class="permalink"><a href="#ad053a0352135ed7d101c6b81dfd968c5">&#9670;&nbsp;</a></span>getConfiguration()</h2>

<div class="memitem">
<div class="memproto">
<table class="mlabels">
  <tr>
  <td class="mlabels-left">
      <table class="memname">
        <tr>
          <td class="memname"><a class="el" href="namespacealexa_client_s_d_k_1_1avs_common_1_1avs.html#a2c1f3500cf37d70ffd6c1067f9c7f921">avs::DirectiveHandlerConfiguration</a> alexaClientSDK::avsCommon::avs::test::TestDirectiveHandler::getConfiguration </td>
          <td>(</td>
          <td class="paramname"></td><td>)</td>
          <td> const</td>
        </tr>
      </table>
  </td>
  <td class="mlabels-right">
<span class="mlabels"><span class="mlabel">inline</span><span class="mlabel">override</span><span class="mlabel">virtual</span></span>  </td>
  </tr>
</table>
</div><div class="memdoc">
<p class="">Returns the configuration of the directive handler regarding which namespace and name pairs it should handle and the appropriate policy for each pair.</p>
<dl class="section return"><dt>Returns</dt><dd>The <code><a class="el" href="namespacealexa_client_s_d_k_1_1avs_common_1_1avs.html#a2c1f3500cf37d70ffd6c1067f9c7f921">avs::DirectiveHandlerConfiguration</a></code> of the handler. </dd></dl>

<p>Implements <a class="el" href="classalexa_client_s_d_k_1_1avs_common_1_1sdk_interfaces_1_1_directive_handler_interface.html#a9a4151577d823b1e991af340c233441b">alexaClientSDK::avsCommon::sdkInterfaces::DirectiveHandlerInterface</a>.</p>

</div>
</div>
<a id="aae40f8853a64f29c0f9ed3af96de3691"></a>
<h2 class="memtitle"><span class="permalink"><a href="#aae40f8853a64f29c0f9ed3af96de3691">&#9670;&nbsp;</a></span>handleDirective()</h2>

<div class="memitem">
<div class="memproto">
<table class="mlabels">
  <tr>
  <td class="mlabels-left">
      <table class="memname">
        <tr>
          <td class="memname">bool alexaClientSDK::avsCommon::avs::test::TestDirectiveHandler::handleDirective </td>
          <td>(</td>
          <td class="paramtype">const std::string &amp;&#160;</td>
          <td class="paramname"><em>messageId</em></td><td>)</td>
          <td></td>
        </tr>
      </table>
  </td>
  <td class="mlabels-right">
<span class="mlabels"><span class="mlabel">inline</span><span class="mlabel">override</span><span class="mlabel">virtual</span></span>  </td>
  </tr>
</table>
</div><div class="memdoc">
<p class="">Handle the action specified by the directive identified by <code>messageId</code>. The handling of subsequent directives with the same <code>DialogRequestId</code> may be blocked until the <code>DirectiveHandler</code> calls the <code>setSucceeded()</code> method of the <code>DirectiveHandlingResult</code> instance passed in to the <code><a class="el" href="classalexa_client_s_d_k_1_1avs_common_1_1avs_1_1test_1_1_test_directive_handler.html#a8a359dc383150e53d14373c20ad168f0">preHandleDirective()</a></code> call for the directive specified by <code>messageId</code>. If handling of this directive fails such that subsequent directives with the same <code>DialogRequestId</code> should be cancelled, this <code>DirectiveHandler</code> should instead call setFailed() to indicate a failure.</p>
<dl class="section note"><dt>Note</dt><dd>If this operation fails, an <code>ExceptionEncountered</code> message should be sent to AVS. </dd>
<dd>
The implementation of this method MUST be thread-safe. </dd>
<dd>
The implementation of this method MUST return quickly. Failure to do so blocks the processing of subsequent <code>AVSDirectives</code>.</dd></dl>
<dl class="params"><dt>Parameters</dt><dd>
  <table class="params">
    <tr><td class="paramname">messageId</td><td>The message ID of a directive previously passed to <code><a class="el" href="classalexa_client_s_d_k_1_1avs_common_1_1avs_1_1test_1_1_test_directive_handler.html#a8a359dc383150e53d14373c20ad168f0">preHandleDirective()</a></code>. </td></tr>
  </table>
  </dd>
</dl>
<dl class="section return"><dt>Returns</dt><dd><code>false</code> when <code>messageId</code> is not recognized, else <code>true</code>. Any errors related to handling of a valid messageId should be reported using <code><a class="el" href="classalexa_client_s_d_k_1_1avs_common_1_1sdk_interfaces_1_1_directive_handler_result_interface.html#add0024d48a616a54fc33fcf3b20be26a">DirectiveHandlerResultInterface::setFailed()</a></code>. </dd></dl>

<p>Implements <a class="el" href="classalexa_client_s_d_k_1_1avs_common_1_1sdk_interfaces_1_1_directive_handler_interface.html#aa3de8075443d7a91320405946556c853">alexaClientSDK::avsCommon::sdkInterfaces::DirectiveHandlerInterface</a>.</p>

</div>
</div>
<a id="a08af21aff7b81c0b7ac03ca6a32aba27"></a>
<h2 class="memtitle"><span class="permalink"><a href="#a08af21aff7b81c0b7ac03ca6a32aba27">&#9670;&nbsp;</a></span>handleDirectiveImmediately()</h2>

<div class="memitem">
<div class="memproto">
<table class="mlabels">
  <tr>
  <td class="mlabels-left">
      <table class="memname">
        <tr>
          <td class="memname">void alexaClientSDK::avsCommon::avs::test::TestDirectiveHandler::handleDirectiveImmediately </td>
          <td>(</td>
          <td class="paramtype">std::shared_ptr&lt; <a class="el" href="classalexa_client_s_d_k_1_1avs_common_1_1avs_1_1_a_v_s_directive.html">AVSDirective</a> &gt;&#160;</td>
          <td class="paramname"></td><td>)</td>
          <td></td>
        </tr>
      </table>
  </td>
  <td class="mlabels-right">
<span class="mlabels"><span class="mlabel">inline</span><span class="mlabel">override</span></span>  </td>
  </tr>
</table>
</div><div class="memdoc">

</div>
</div>
<a id="afc6425cf4990e97305d89d83928bfe3b"></a>
<h2 class="memtitle"><span class="permalink"><a href="#afc6425cf4990e97305d89d83928bfe3b">&#9670;&nbsp;</a></span>onDeregistered()</h2>

<div class="memitem">
<div class="memproto">
<table class="mlabels">
  <tr>
  <td class="mlabels-left">
      <table class="memname">
        <tr>
          <td class="memname">void alexaClientSDK::avsCommon::avs::test::TestDirectiveHandler::onDeregistered </td>
          <td>(</td>
          <td class="paramname"></td><td>)</td>
          <td></td>
        </tr>
      </table>
  </td>
  <td class="mlabels-right">
<span class="mlabels"><span class="mlabel">inline</span><span class="mlabel">override</span><span class="mlabel">virtual</span></span>  </td>
  </tr>
</table>
</div><div class="memdoc">
<p class="">Notification that this handler has been de-registered and will not receive any more calls. </p>

<p>Implements <a class="el" href="classalexa_client_s_d_k_1_1avs_common_1_1sdk_interfaces_1_1_directive_handler_interface.html#aad30d3ffcd120787b94799b2009e3369">alexaClientSDK::avsCommon::sdkInterfaces::DirectiveHandlerInterface</a>.</p>

</div>
</div>
<a id="a8a359dc383150e53d14373c20ad168f0"></a>
<h2 class="memtitle"><span class="permalink"><a href="#a8a359dc383150e53d14373c20ad168f0">&#9670;&nbsp;</a></span>preHandleDirective()</h2>

<div class="memitem">
<div class="memproto">
<table class="mlabels">
  <tr>
  <td class="mlabels-left">
      <table class="memname">
        <tr>
          <td class="memname">void alexaClientSDK::avsCommon::avs::test::TestDirectiveHandler::preHandleDirective </td>
          <td>(</td>
          <td class="paramtype">std::shared_ptr&lt; <a class="el" href="classalexa_client_s_d_k_1_1avs_common_1_1avs_1_1_a_v_s_directive.html">AVSDirective</a> &gt;&#160;</td>
          <td class="paramname">, </td>
        </tr>
        <tr>
          <td class="paramkey"></td>
          <td></td>
          <td class="paramtype">std::unique_ptr&lt; <a class="el" href="classalexa_client_s_d_k_1_1avs_common_1_1sdk_interfaces_1_1_directive_handler_result_interface.html">sdkInterfaces::DirectiveHandlerResultInterface</a> &gt;&#160;</td>
          <td class="paramname">&#160;</td>
        </tr>
        <tr>
          <td></td>
          <td>)</td>
          <td></td><td></td>
        </tr>
      </table>
  </td>
  <td class="mlabels-right">
<span class="mlabels"><span class="mlabel">inline</span><span class="mlabel">override</span></span>  </td>
  </tr>
</table>
</div><div class="memdoc">

</div>
</div>
<hr/>The documentation for this class was generated from the following file:<ul>
<li>/workplace/avs-device-sdk/AVSCommon/AVS/test/<a class="el" href="_handler_and_policy_test_8cpp.html">HandlerAndPolicyTest.cpp</a></li>
</ul>
</div><!-- contents -->
<html>
  <body>
    <p style="text-align:left;">
      AlexaClientSDK 1.13.0 - Copyright 2016-2019 Amazon.com, Inc. or its affiliates. All Rights Reserved.
      <span style="float:right;">
	Licensed under the <a HREF=http://aws.amazon.com/apache2.0/>Apache License, Version 2.0</a>
      </span>
    </p>
  </body>
</html>
